# HttpFailureException

open class HttpFailureException(request: Request, message: String?, cause: Throwable?) : NetException
Content copied to clipboard

实现该接口表示Http请求失败

## See also

com.drake.net.exception.NetUnknownHostException
com.drake.net.exception.NetConnectException
com.drake.net.exception.NetSocketTimeoutException

## Constructors

HttpFailureException
Link copied to clipboard
fun HttpFailureException(request: Request, message: String? = null, cause: Throwable? = null)
Content copied to clipboard

## Inheritors

NetConnectException
Link copied to clipboard
NetSocketTimeoutException
Link copied to clipboard
NetUnknownHostException
Link copied to clipboard